module Quox

import public Quox.Syntax
import public Quox.Pretty

import Data.Nat
import Data.Vect


export
tm : Term 1 2
tm =
  (Pi Zero One "a" (BVT 0) (E (F "F" :@@ [BVT 0, FT "w"]))
    `DCloT` (DOne ::: id))
    `CloT`  (F "y" ::: TYPE (U 1) :# TYPE (U 2) ::: id)

main : IO Unit
main = do
  prettyTerm tm
  prettyTerm $ pushSubstsT tm
  putStrLn ":qtuwu:"
